PipeWire 1.4.10

Loading...
Searching...
No Matches
global.h File Reference
Implementation API » Global

pipewire/global.h More...

Go to the source code of this file.

## Data Structures
struct | pw_global_events
| Global events, use pw_global_add_listener. More...

## Macros
#define | PW_VERSION_GLOBAL_EVENTS 0

## Typedefs
typedef int(* | pw_global_bind_func_t) (void *object, struct pw_impl_client *client, uint32_t permissions, uint32_t version, uint32_t id)

## Functions
struct pw_global * | pw_global_new (struct pw_context *context, const char *type, uint32_t version, uint32_t permission_mask, struct pw_properties *properties, pw_global_bind_func_t func, void *object)
| Create a new global object.
int | pw_global_register (struct pw_global *global)
| Register a global object to the context registry.
void | pw_global_add_listener (struct pw_global *global, struct spa_hook *listener, const struct pw_global_events *events, void *data)
| Add an event listener on the global.
uint32_t | pw_global_get_permissions (struct pw_global *global, struct pw_impl_client *client)
| Get the permissions of the global for a given client.
struct pw_context * | pw_global_get_context (struct pw_global *global)
| Get the context object of this global.
const char * | pw_global_get_type (struct pw_global *global)
| Get the global type.
bool | pw_global_is_type (struct pw_global *global, const char *type)
| Check a global type.
uint32_t | pw_global_get_version (struct pw_global *global)
| Get the global version.
const struct pw_properties * | pw_global_get_properties (struct pw_global *global)
| Get the global properties.
int | pw_global_update_keys (struct pw_global *global, const struct spa_dict *dict, const char *const keys[])
| Update the global properties, must be done when unregistered.
void * | pw_global_get_object (struct pw_global *global)
| Get the object associated with the global.
uint32_t | pw_global_get_id (struct pw_global *global)
| Get the unique id of the global.
uint64_t | pw_global_get_serial (struct pw_global *global)
| Get the serial number of the global.
int | pw_global_add_resource (struct pw_global *global, struct pw_resource *resource)
| Add a resource to a global.
int | pw_global_for_each_resource (struct pw_global *global, int(*callback)(void *data, struct pw_resource *resource), void *data)
| Iterate all resources added to the global The callback should return 0 to fetch the next item, any other value stops the iteration and returns the value.
int | pw_global_bind (struct pw_global *global, struct pw_impl_client *client, uint32_t permissions, uint32_t version, uint32_t id)
| Let a client bind to a global.
int | pw_global_update_permissions (struct pw_global *global, struct pw_impl_client *client, uint32_t old_permissions, uint32_t new_permissions)
void | pw_global_destroy (struct pw_global *global)
| Destroy a global.

## Detailed Description

pipewire/global.h